;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: DelSig_1.inc
;;   Version: 1.2, Updated on 2009/10/9 at 10:6:29
;;
;;  DESCRIPTION: Assembler declarations for the Delta-Sigma A/D Converter
;;               with a 2nd-order modulator and based on a type 2 decimator.
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2009. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"

;--------------------------------------------------
; Constants for DelSig_1 API's.
;--------------------------------------------------

DelSig_1_INT_REG:                  equ  0e1h
DelSig_1_INT_MASK:                 equ  01h     ; Interrupt mask

DelSig_1_OFF:                      equ  0
DelSig_1_LOWPOWER:                 equ  1
DelSig_1_MEDPOWER:                 equ  2
DelSig_1_HIGHPOWER:                equ  3

DelSig_1_DATA_READY_BIT:           equ  10h
DelSig_1_2S_COMPLEMENT:            equ  0

;--------------------------------------------------
; Register Address Constants for DelSig_1
;--------------------------------------------------

DelSig_1_PWM_DR0:                  equ 0x20    ; Period reg
DelSig_1_PWM_DR1:                  equ 0x21    ; Down count reg
DelSig_1_PWM_DR2:                  equ 0x22    ; Compare reg
DelSig_1_PWM_CR0:                  equ 0x23    ; Control reg
DelSig_1_PWM_FN:                   equ 0x20        ; Function reg
DelSig_1_PWM_SL:                   equ 0x21        ; Input  select reg
DelSig_1_PWM_OS:                   equ 0x22        ; Output select reg

DelSig_1_AtoD1cr0:                 equ 0x80    ; SC Block 1 Control Reg 0
DelSig_1_AtoD1cr1:                 equ 0x81    ; SC Block 1 Control Reg 1
DelSig_1_AtoD1cr2:                 equ 0x82    ; SC Block 1 Control Reg 2
DelSig_1_AtoD1cr3:                 equ 0x83    ; SC Block 1 Control Reg 3
DelSig_1_AtoD2cr0:                 equ 0x90    ; SC Block 2 Control Reg 0
DelSig_1_AtoD2cr1:                 equ 0x91    ; SC Block 2 Control Reg 1
DelSig_1_AtoD2cr2:                 equ 0x92    ; SC Block 2 Control Reg 2
DelSig_1_AtoD2cr3:                 equ 0x93    ; SC Block 2 Control Reg 3


; end of file DelSig_1.inc
